LogMessage("running test_script.lua ")
require("main")


function load_scenefractal_shader(brightness, time, low, high)
	--LogMessage("low:" .. table.tostring(low))
	--LogMessage("high:" .. table.tostring(high))

	local s=GetShader("$$data/test_autocolor_v.glsl", "$$data/test_autocolor_f.glsl")
	gl.UseProgram(s)

	local scale={0.5/(high[1]-low[1]),0.5/(high[2]-low[2]),0.5/(high[3]-low[3])}
	local translate={-low[1]*scale[1],-low[2]*scale[2],-low[3]*scale[3]}

	gl.SetUniforms(s, {
		brightness=brightness,
		time=time,
		color_matrix={
		scale[1], 0, 0, 0,
		0, scale[2], 0, 0,
		0, 0, scale[3], 0,
		translate[1], translate[2], translate[3], 1
		}
	})
end
