require("main")


function Script:SpawnBots()
--- override the bots
end

--icoso_flower_orientations=PolyhedraTransforms(4,0)


flower_orientations={PolyhedraTransforms(0,0), PolyhedraTransforms(1,0), PolyhedraTransforms(2,0), PolyhedraTransforms(4,0)}
function MultiSpawn(orientations)
	local avel={-math.log(0.01+SyncedRandom()),-0.1*math.log(0.01+SyncedRandom()),-math.log(0.01+SyncedRandom())}
	for i,v in ipairs(orientations) do
			NewGameObject{
				type="AgileAttacker",
				pos=MulQuatVec(v,{10,0,20}),
				angular_vel=MulQuatVec(v,avel),
				orientation=v,
				health=1,
				state_attacking_speed_limit=20,
				death_bonus_spawn_probability=0.02,
				trail_length=1024,
				trail_interval=4,
				trail_color=ScaleVec({1,0.25,0.025},0.3),
				no_hud=true
			}
	end
end

function Script:SpawnSnowflakes()
--[[
	for i=1,10 do
		for j=1,10 do
			NewGameObject({type="Snowflake", pos={i*15+10, j*15+10}})
		end
	end
	]]
end

local prev_on_char=on_char
function on_char(c)
	if c>="1" and c<="4" then
		MultiSpawn(flower_orientations[c+0])
	else
		prev_on_char(c)
	end
end

function Script:SpawnTestShit()
	--Sleep()
	SetObjectState(GetMyID(), {collision_radius=0.5})

	NewBillboard{text="Press keys 1..4 to spawn enemies", offset={0,0,-30}}
--[[
	Sleep(10)


	for i=1,4 do
		MultiSpawn(flower_orientations[4])
		Sleep(30)
	end

	for i,orientations in ipairs(flower_orientations) do
		MultiSpawn(orientations)
		Sleep(30)
	end
	]]
end


	function Script:SpawnStartBonus()
		local pos=my_state.pos
		Sleep(0.5)
		NewGameObject{type="SimpleBonusPod", pos={pos[1]-20,pos[2], pos[3]}, bonus_id=0}
		Sleep(0.5)
		NewGameObject{type="SimpleBonusPod", pos={pos[1]-20,pos[2]+10, pos[3]}, bonus_id=1}
		Sleep(0.5)
		NewGameObject{type="SimpleBonusPod", pos={pos[1]-20,pos[2]+20, pos[3]}, bonus_id=2}
	end
