#version 120
// (C) 2009 Dmytry Lavrov. All rights reserved.

uniform float brightness;

uniform float time;

float PeakFunc(float x, float min_y, float max_y, float sharpness){
	return min_y+pow(x,sharpness)*(max_y-min_y);
}

float Peak2(float x){
	return 1.0+0.1/(0.5+0.49*sin(x));
}

void main(void)
{
   //vec4 camera_pos = gl_ModelViewMatrixInverse[3];
  vec4 pos = gl_ModelViewProjectionMatrix * gl_Vertex;
   //vec3 delta=gl_Vertex.xyz-camera_pos.xyz;
	vec3 delta=(gl_ModelViewMatrix*gl_Vertex).xyz;

	float l=dot(delta,delta);
	gl_Position=pos;
	float q=exp2(255.0*gl_Color.a-119.0);

	vec3 col=gl_Color.rgb*(q*brightness/l);

	float phase=mod(mod(mod(gl_Vertex.x*1.0E6,1)+gl_Vertex.y*1.0E3,1)+gl_Vertex.z,1.0);

	//col*=vec3(1.0,1.0,1.0)+vec3(0.7,0.9,1.0)*PeakFunc(mod(phase*100.0-time*0.0001,1.0),0,20.0/(phase+0.0001),100000.0);

	col.r*=Peak2(gl_Vertex.y*2.0+time*1.43456342);
	col.g*=Peak2(gl_Vertex.z*2.0+time*1.345672);
	col.b*=Peak2(gl_Vertex.x*2.0+time*1.53212345);

	gl_FrontColor=vec4(col,1.0);
}
