res_x=1920
res_y=1080

-- change these to empty strings to disable saving the post processed png images (can't do exr on those)
left_name_format_string="renders/l_post_%04d.png"
right_name_format_string="renders/r_post_%04d.png"

-- exr images for left and right eye (linear colorspace, no gamma correction or exposure applied)
left_raw_name_format_string="renders/l_raw_%04d.exr"
left_bloom_name_format_string="renders/l_blo_%04d.exr"

right_raw_name_format_string="renders/r_raw_%04d.exr"
right_bloom_name_format_string="renders/r_blo_%04d.exr"

nframes=1800; --- max. number of frames to render.
record_to="renders/test.luarec"
play_from=record_to

--- when option override_dt is present and positive, render images non-interactively
rendering=(GetCmdOption("override_dt")+0.0)>0.0

really_rendering=true --- set to false to disable saving the images, for quick testing

c=4 -- speed of light, smaller = stronger effects
zoom_compensation_factor=0.0; --- compensates for aberration zooming effect , 0 no compensation, 1 full compensation.

--- end of rendering options
