#version 120
// (C) 2009 Dmytry Lavrov. All rights reserved.

uniform float brightness;

float PeakFunc(float x, float min_y, float max_y, float sharpness){
	return min_y+pow(x,sharpness)*(max_y-min_y);
}

void main(void)
{
   //vec4 camera_pos = gl_ModelViewMatrixInverse[3];
  vec4 pos = gl_ModelViewProjectionMatrix * gl_Vertex;
   //vec3 delta=gl_Vertex.xyz-camera_pos.xyz;
	vec3 delta=(gl_ModelViewMatrix*gl_Vertex).xyz;

	float l=dot(delta,delta);
	gl_Position=pos;
	float q=exp2(255.0*gl_Color.a-119.0);

	vec3 col=gl_Color.rgb*(q*brightness/l);

	gl_FrontColor=vec4(col,1.0);
}
